/* Global Variables, Settings & Reusables */
:root {
  --primary-color: #333333;
  --secondary-color: #444444;

  --item-color: #f7bf88;
  --icon-color: white;
}

* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
}

.default-button {
  width: 80px;
  height: 35px;
  border: none;
  color: white;
  background-color: var(--primary-color);
  transition: background-color 0.5s;
  transition: color 0.5s;
}

.default-button:hover {
  color: var(--item-color);
  background-color: var(--secondary-color);
  cursor: pointer;
}

/* Body & Html Styling */
html,
body {
  font-family: Arial, Helvetica, sans-serif;
  width: 100vw;
  height: 100vh;
}

/* Element Styling */
#navbar {
  display: flex;
  align-items: center;
  justify-content: space-between;
  height: 50px;
  padding: 0px 80px 0px 80px;
  background-color: var(--primary-color);
}

#navbar nav {
  display: flex;
  height: 100%;
}

#navbar a {
  display: flex;
  align-items: center;
  justify-content: center;
  text-align: center;
  color: white;
  height: 100%;
  width: 80px;
  text-decoration: none;
}

#navbar nav a {
  transition: color 0.5s, background-color 0.5s;
}

#navbar nav a.active,
#navbar nav a:hover {
  color: var(--item-color);
  background-color: var(--secondary-color);
}

#main {
  display: flex;
  flex-direction: column;
}

#footer {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 100%;
  height: 30px;
  color: white;
  background-color: var(--secondary-color);
}

/* Media Queries */
@media (max-width: 600px) {
  #navbar {
    padding: 0px 10px 0px 10px;
  }
}
